package com.mortals.xhx.module.notice.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.notice.model.vo.NoticeVo;
import lombok.Data;
/**
* 通知公告实体对象
*
* @author zxfei
* @date 2023-09-05
*/
@Data
public class NoticeEntity extends NoticeVo {
    private static final long serialVersionUID = 1L;

    /**
    * 标题
    */
    @Excel(name = "标题")
    private String title;
    /**
    * 公告内容
    */
    private String noticeContent;
    /**
    * 公告文件路径
    */
    private String filePath;
    /**
    * 公告文件名称
    */
    private String fileName;
    /**
    * 备注
    */
    private String remark;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof NoticeEntity) {
            NoticeEntity tmp = (NoticeEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.title = "";
            this.noticeContent = "";
            this.filePath = "";
            this.fileName = "";
            this.remark = "";
    }
}